<?php
//*****************************************************************************
//
// MICRO COUNTDOWN  -  Version: 1.0
//
// You may use this code or any modified version of it on your website.
//
// NO WARRANTY
// This code is provided "as is" without warranty of any kind, either
// expressed or implied, including, but not limited to, the implied warranties
// of merchantability and fitness for a particular purpose. You expressly
// acknowledge and agree that use of this code is at your own risk.
//
//*****************************************************************************
?>


<?php
// Define your target date here
	$targetYear  = 2010;
	$targetMonth = 05;
	$targetDay   = 16;
	$targetHour  = 20;
	$targetMinute= 00;
	$targetSecond= 00;
// End target date definition

// Define date format
$dateFormat = "d-m-Y H:i:s";

$targetDate = mktime($targetHour,$targetMinute,$targetSecond,$targetMonth,$targetDay,$targetYear);
$actualDate = time();

$secondsDiff = $targetDate - $actualDate;

$remainingDay     = floor($secondsDiff/60/60/24);
$remainingHour    = floor(($secondsDiff-($remainingDay*60*60*24))/60/60);
$remainingMinutes = floor(($secondsDiff-($remainingDay*60*60*24)-($remainingHour*60*60))/60);
$remainingSeconds = floor(($secondsDiff-($remainingDay*60*60*24)-($remainingHour*60*60))-($remainingMinutes*60));

$targetDateDisplay = date($dateFormat,$targetDate);
$actualDateDisplay = date($dateFormat,$actualDate);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Max's Countdown System</title>
<link href="style/style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
  var days = <?php echo $remainingDay; ?>  
  var hours = <?php echo $remainingHour; ?>  
  var minutes = <?php echo $remainingMinutes; ?>  
  var seconds = <?php echo $remainingSeconds; ?>  

function setCountDown ()
{
  seconds--;
  if (seconds < 0){
      minutes--;
      seconds = 59
  }
  if (minutes < 0){
      hours--;
      minutes = 59
  }
  if (hours < 0){
      days--;
      hours = 23
  }
  document.getElementById("remain").innerHTML = days+" giorni, "+hours+" ore, "+minutes+" minuti, "+seconds+" secondi";
  setTimeout ( "setCountDown()", 1000 );
}

</script>
</head>

<body onload="setCountDown();" style="text-align: center; background-color: #FFFFFF" topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div id="container" style="width: 433px; height: 101px">
    <div id="content">
        <table class="countTable" style="border-color: #FFFFFF; border-width: 0px" bordercolorlight="#FFFFFF" bordercolordark="#FFFFFF" bgcolor="#FFFFFF" width="415">
           <tr><td><font size="4" face="Verdana" color="#D25D23">Saremo On-Line:</font></td><td>
			<font size="4" face="Verdana"><?php echo $targetDateDisplay; ?></font></td></tr>
           <tr>
			<th colspan="5" id="remain" bgcolor="#6DA43A" style="background-image: url('')">
			<?php echo "$remainingDay days, $remainingHour hours, $remainingMinutes minutes, $remainingSeconds seconds";?>
           <tr><td><font size="4" face="Verdana" color="#D25D23">Oggi è:</font></td><td>
			<font size="4" face="Verdana"><?php echo $actualDateDisplay; ?></font></td></tr>
       </table>
    </div>
</div>
<p>&nbsp;</p>
</body>
</html>